## debian-installer 20101020ubuntu186.2

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define mkfs.ufs1
  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find . -type f ! -name \*SUMS` > MD5SUMS
	cd $(BASE_DEST) && sha1sum `find . -type f ! -name \*SUMS` > SHA1SUMS
	cd $(BASE_DEST) && sha256sum `find . -type f ! -name \*SUMS` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \

=== debian/changelog ===
debian-installer (20101020ubuntu186.2) quantal; urgency=medium

  * Use udebs from quantal-security, quantal-proposed, and quantal-updates.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jan 2014 10:38:31 +0000

debian-installer (20101020ubuntu186.1) quantal; urgency=medium

  * Move master kernels to 3.5.0-45.
  * Move armadaxp kernels to 3.5.0-1626.
  * Move omap4 kernels to 3.5.0-237.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jan 2014 16:49:38 +0000

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot-linaro-omap3-beagle [armel armhf], u-boot-linaro-omap4-panda [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl [armel], makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386], grub-efi-amd64-bin (>= 2.00) [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 7.0.0)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- ubuntu-keyring
#		To provide the archive key for security checks.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xml
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc sparc64]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#		armel/armhf uses it for omap3/4 netboot images and requires
#		3.0.9-1ubuntu2 to create bootable filesystems on OMAP
#	- cpio
#		For creating initramfs images.
#	- devio [armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- parted [armel armhf]
#		For ARM OMAP images.
#	- slugimage (>= 0.10+r58-6) [armeb armel]
#		For building nslu2 firmware images.
#	- u-boot-tools [armel armhf]
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2:4.02) [i386 amd64]
#		With isohybrid.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc sparc64]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo [mipsel]
#		For booting Cobalt machines.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- u-boot-linaro-omap3-beagle [armel armhf]
#	- u-boot-linaro-omap4-panda [armel armhf]
#		First and second state bootloaders for omap 3/4
#	- shim-signed [amd64]
#		First-stage bootloader for UEFI Secure Boot
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python3 (>= 3.1) [i386 amd64]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl [armel]
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.
#	- makefs [kfreebsd-i386 kfreebsd-amd64]
#		Used to create an UFS1 filesystem from a directory tree.
#	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Used as the CD-ROM's bootloader
#       - xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#               Used by grub-pc to create the CD-ROM images
#	- grub-efi-amd64-bin (>= 2.00) [amd64]
#		EFI bootloader support.
#	- grub-common [amd64]
#		For the GRUB font.
#	- debian-ports-archive-keyring [sh4 sparc64]
#		Used for architectures hosted on debian-ports.org

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

## debian-installer 20101020ubuntu213

=== debian/changelog ===
debian-installer (20101020ubuntu213) raring; urgency=low

  * Move master kernels to 3.8.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 11 Feb 2013 15:19:05 -0700

debian-installer (20101020ubuntu212) raring; urgency=low

  * Move master kernels to 3.8.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Feb 2013 18:47:46 -0700

debian-installer (20101020ubuntu211) raring; urgency=low

  * Add syslinux 5.x support (thanks, Daniel Baumann; see Debian #699742;
    LP: #1112878).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Feb 2013 16:15:57 +0000

debian-installer (20101020ubuntu210) raring; urgency=low

  * Move powerpc kernels to 3.8.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 03 Feb 2013 01:07:17 -0700

debian-installer (20101020ubuntu209) raring; urgency=low

  * Move master kernels to 3.8.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Feb 2013 16:42:29 -0700

debian-installer (20101020ubuntu208) raring; urgency=low

  * Move master kernels to 3.8.0-3.
  * Move omap4 kernels to 3.5.0-218.
  * Move armadaxp kernels to 3.5.0-1608.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Jan 2013 21:28:42 -0700

debian-installer (20101020ubuntu207) raring; urgency=low

  * Move powerpc kernels to 3.8.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 30 Jan 2013 14:18:47 -0700

debian-installer (20101020ubuntu206) raring; urgency=low

  * Move master kernels to 3.8.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 26 Jan 2013 06:11:15 -0700

debian-installer (20101020ubuntu205) raring; urgency=low

  * Move powerpc kernels to 3.8.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 23 Jan 2013 14:41:27 -0700

debian-installer (20101020ubuntu204) raring; urgency=low

  * Make genisoimage options for powerpc match debian-cd (LP: #1099716)
  * Move master kernels to 3.8.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Jan 2013 01:13:03 -0700

debian-installer (20101020ubuntu203) raring; urgency=low

  * Move powerpc kernels to 3.8.0-0.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Jan 2013 01:27:46 -0700

debian-installer (20101020ubuntu202) raring; urgency=low

  * Cherrypick fixes from Debian to switch from module-init-tools to kmod:
  * Switch from module-init-tools-udeb to libkmod2-udeb (closes: #683790)
  * Don't remove modules.{dep,alias}.bin from /lib/modules/*, without them
    kmod doesn't load any module.  Instead remove the non-.bin files, which
    aren't necessary.  Thanks to Didier Raboud for the report and help.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Jan 2013 01:06:23 -0700

debian-installer (20101020ubuntu201) raring; urgency=low

  * Move master kernels to 3.8.0-0.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Jan 2013 23:49:53 -0700

debian-installer (20101020ubuntu200) raring; urgency=low

  * Add basic configuration for powerpc/e500 and powerpc/e500mc.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Dec 2012 16:57:26 +0000

debian-installer (20101020ubuntu199) raring; urgency=low

  * Move powerpc kernels to 3.7.0-6.
  * Move armadaxp kernels to 3.5.0-1606.
  * Move omap4 kernels to 3.5.0-216.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Dec 2012 09:30:26 -0700

debian-installer (20101020ubuntu198) raring; urgency=low

  * Move master kernels to 3.7.0-7.
  * Move powerpc kernels to 3.7.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 16 Dec 2012 08:36:51 -0700

debian-installer (20101020ubuntu197) raring; urgency=low

  * Move master kernels to 3.7.0-6.
  * Move powerpc kernels to 3.7.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Dec 2012 14:13:10 -0700

debian-installer (20101020ubuntu196) raring; urgency=low

  * Move master kernels to 3.7.0-5.
  * Move powerpc kernels to 3.7.0-3.
  * Move armadaxp kernels to 3.5.0-1605.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 06 Dec 2012 08:07:36 -0700

debian-installer (20101020ubuntu195) raring; urgency=low

  * Make omap/omap4 netboot VFAT partitions the same size
    as the ones used for CD-like media (LP: #1040393)
  * Move powerpc kernels to 3.7.0-2.
  * Move armadaxp kernels to 3.5.0-1604.
  * Move omap4 kernels to 3.5.0-215.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Dec 2012 19:22:27 -0700

debian-installer (20101020ubuntu194) raring; urgency=low

  * Move master kernels to 3.7.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 27 Nov 2012 19:33:02 -0700

debian-installer (20101020ubuntu193) raring; urgency=low

  * Move powerpc to 3.7.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2012 12:12:45 +0000

debian-installer (20101020ubuntu192) raring; urgency=low

  * Move master kernels to 3.7.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Nov 2012 23:19:31 -0700

debian-installer (20101020ubuntu191) raring; urgency=low

  * Move to 3.7.0-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Nov 2012 00:56:30 +0000

debian-installer (20101020ubuntu190) raring; urgency=low

  * Make nic-pcmcia-modules optional on powerpc too.
  * Move to 3.7.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Nov 2012 02:26:32 +0000

debian-installer (20101020ubuntu189) raring; urgency=low

  * Drop highbank, since we no longer have kernel images for it.
  * Make pcmcia-modules, pcmcia-storage-modules, and serial-modules optional
    on powerpc.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Nov 2012 17:05:24 +0000

debian-installer (20101020ubuntu188) raring; urgency=low

  * Use udebs from raring-security, raring-proposed, and raring-updates.
    (We do this for all post-release updates anyway, and now that we're
    staging all development series uploads in -proposed it makes sense to
    build from there.)
  * Move to 3.7.0-0 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Nov 2012 11:56:26 +0000

debian-installer (20101020ubuntu187) raring; urgency=low

  [ Steve Langasek ]
  * build/util/efi-image: spit out the grub version information to the build
    log, for auditability.

  [ Stéphane Graber ]
  * Set default suite to raring.



## debian-installer 20101020ubuntu214

=== debian/changelog ===
debian-installer (20101020ubuntu214) raring; urgency=low

  * Move master kernels to 3.8.0-7.
  * Move powerpc kernels to 3.8.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Feb 2013 16:50:34 -0700

## debian-installer 20101020ubuntu231

=== debian/changelog ===
debian-installer (20101020ubuntu231) raring; urgency=low

  [ Colin Watson ]
  * Move master kernels to 3.8.0-19.
  * Move powerpc kernels to 3.8.0-9.

  [ Adam Conrad ]
  * Move omap4 kernels to 3.5.0-223.

  [ dann frazier ]
  * Rename "highbank" flavor to "generic" and re-enable it.
    (LP: #1166603)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 18 Apr 2013 16:40:34 -0600

debian-installer (20101020ubuntu230) raring; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Apr 2013 18:02:41 +0100

debian-installer (20101020ubuntu229) raring; urgency=low

  * Move powerpc kernels to 3.8.0-8.
  * Move omap4 kernels to 3.5.0-222.
  * Move master kernels to 3.8.0-18.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Apr 2013 13:51:29 +0100

debian-installer (20101020ubuntu228) raring; urgency=low

  * Move master kernels to 3.8.0-17 (LP: #1166103).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Apr 2013 10:59:57 +0100

debian-installer (20101020ubuntu227) raring; urgency=low

  * Move master kernels to 3.8.0-16.
  * Move powerpc kernels to 3.8.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 01 Apr 2013 21:50:51 -0600

debian-installer (20101020ubuntu226) raring; urgency=low

  * Move master kernels to 3.8.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Mar 2013 21:30:01 -0600

debian-installer (20101020ubuntu225) raring; urgency=low

  * Move master kernels to 3.8.0-14.
  * Install generic flavour on omap.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 23 Mar 2013 15:30:02 -0600

debian-installer (20101020ubuntu224) raring; urgency=low

  * Move powerpc kernels to 3.8.0-6.
  * Move omap4 kernels to 3.5.0-221.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Mar 2013 23:17:52 -0600

debian-installer (20101020ubuntu223) raring; urgency=low

  * Move master kernels to 3.8.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Mar 2013 02:33:27 -0600

debian-installer (20101020ubuntu222) raring; urgency=low

  * Stop building images for armadaxp, which use a no-longer-maintained 3.5
    kernel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2013 11:34:39 -0700

debian-installer (20101020ubuntu221) raring; urgency=low

  * Move master kernels to 3.8.0-12.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Mar 2013 15:20:16 +0000

debian-installer (20101020ubuntu220) raring; urgency=low

  * Move master kernels to 3.8.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Mar 2013 01:02:43 -0700

debian-installer (20101020ubuntu219) raring; urgency=low

  * Move master kernels to 3.8.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Mar 2013 02:09:04 -0700

debian-installer (20101020ubuntu218) raring; urgency=low

  * Move master kernels to 3.8.0-9.
  * Move powerpc kernels to 3.8.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Mar 2013 16:29:50 -0700

debian-installer (20101020ubuntu217) raring; urgency=low

  * No-change rebuild to pick up the kernel-signed-image udeb on amd64.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Feb 2013 09:57:50 -0700

debian-installer (20101020ubuntu216) raring; urgency=low

  * Stop building GTK installer images for now.  pango1.0's current hard
    requirement for harfbuzz (a C++ library) makes it impossible to build
    these.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Feb 2013 13:58:49 +0000

debian-installer (20101020ubuntu215) raring; urgency=low

  * Move master kernels to 3.8.0-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Feb 2013 10:11:37 +0000

## debian-installer 20101020ubuntu231.1

=== debian/changelog ===
debian-installer (20101020ubuntu231.1) raring; urgency=medium

  * Move master kernels to 3.8.0-35.
  * Move powerpc kernels to 3.8.0-19.
  * Move omap4 kernels to 3.5.0-237.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jan 2014 17:33:27 +0000

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=raring
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20101020ubuntu271

=== debian/changelog ===
debian-installer (20101020ubuntu271) saucy; urgency=low

  * Rebuild against new master kernels.
  * Move omap4 kernels to 3.5.0-233.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Oct 2013 14:59:57 +0100

debian-installer (20101020ubuntu270) saucy; urgency=low

  * Move master kernels to 3.11.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 08 Oct 2013 20:11:14 -0600

debian-installer (20101020ubuntu269) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-3.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Oct 2013 22:52:05 +0100

debian-installer (20101020ubuntu268) saucy; urgency=low

  * Move master kernels to 3.11.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 01 Oct 2013 21:57:18 -0600

debian-installer (20101020ubuntu267) saucy; urgency=low

  * Move master kernels to 3.11.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Sep 2013 18:28:56 -0600

debian-installer (20101020ubuntu266) saucy; urgency=low

  * Move master kernels to 3.11.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Sep 2013 16:02:09 -0600

debian-installer (20101020ubuntu265) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Sep 2013 17:39:44 +0100

debian-installer (20101020ubuntu264) saucy; urgency=low

  * Add generic-lpae target on armhf.
  * Move master kernels to 3.11.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 09:08:51 -0400

debian-installer (20101020ubuntu263) saucy; urgency=low

  * Move master kernels to 3.11.0-6.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Sep 2013 10:05:53 +0100

debian-installer (20101020ubuntu262) saucy; urgency=low

  * Move master kernels to 3.11.0-5.
  * Move omap4 kernels to 3.5.0-232.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 07 Sep 2013 19:41:03 -0600

debian-installer (20101020ubuntu261) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Aug 2013 21:55:47 -0600

debian-installer (20101020ubuntu260) saucy; urgency=low

  * Move master kernels to 3.11.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 26 Aug 2013 17:00:30 -0600

debian-installer (20101020ubuntu259) saucy; urgency=low

  * Move master kernels to 3.11.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Aug 2013 01:21:09 -0600

debian-installer (20101020ubuntu258) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-0.
  * Move omap4 kernels to 3.5.0-231.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 17 Aug 2013 12:42:27 -0600

debian-installer (20101020ubuntu257) saucy; urgency=low

  * Move master kernels to 3.11.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 12 Aug 2013 16:34:09 -0600

debian-installer (20101020ubuntu256) saucy; urgency=low

  * Move master kernels to 3.11.0-1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Aug 2013 16:06:14 +0200

debian-installer (20101020ubuntu255) saucy; urgency=low

  * Re-enable powerpc and powerpc64 flavours and rebuild against
    the latest linux-ppc upload to get the new zImage kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Jul 2013 13:52:21 +0100

debian-installer (20101020ubuntu254) saucy; urgency=low

  * Move master kernels to 3.10.0-6.
  * Move omap4 kernels to 3.5.0-229.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Jul 2013 18:05:48 +0100

debian-installer (20101020ubuntu253) saucy; urgency=low

  * Temporarily disable powerpc and powerpc64 flavours due to
    those kernels being spectacularly broken in the archive.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 23 Jul 2013 15:44:58 +0100

debian-installer (20101020ubuntu252) saucy; urgency=low

  * Move master kernels to 3.10.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 23 Jul 2013 11:24:20 +0100

debian-installer (20101020ubuntu251) saucy; urgency=low

  * Move master kernels to 3.10.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Jul 2013 14:10:27 +0100

debian-installer (20101020ubuntu250) saucy; urgency=low

  * Move master kernels to 3.10.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Jul 2013 12:44:37 +0100

debian-installer (20101020ubuntu249) saucy; urgency=low

  * Introduce a debian-installer-udebs udeb that is a metapackage that
    depends on all the udebs used in the debian-installer build, so we
    can more easily track kernel ABI, NBS, and proposed-migration.
  * Move powerpc kernels to 3.10.0-0; rebuild x86 against 3.10.0-2.11.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 12 Jul 2013 03:44:49 -0600

debian-installer (20101020ubuntu248) saucy; urgency=low

  * Rebuild against linux 3.10.0-2.10.
  * Move omap4 kernels to 3.5.0-227.
  * Move powerpc kernels to 3.8.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 00:08:33 -0600

debian-installer (20101020ubuntu247) saucy; urgency=low

  * Move master kernels to 3.10.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 02 Jul 2013 09:55:58 -0600

debian-installer (20101020ubuntu246) saucy; urgency=low

  * Move master kernels to 3.10.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Jun 2013 16:26:37 -0600

debian-installer (20101020ubuntu245) saucy; urgency=low

  * Move master kernels to 3.10.0-0.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Jun 2013 13:40:04 -0600

debian-installer (20101020ubuntu244) saucy; urgency=low

  * Move master kernels to 3.9.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Jun 2013 16:31:18 -0600

debian-installer (20101020ubuntu243) saucy; urgency=low

  * Move master kernels to 3.9.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Jun 2013 16:06:44 -0600

debian-installer (20101020ubuntu242) saucy; urgency=low

  [ Colin Watson ]
  * ttf-dejavu-udeb was renamed to fonts-dejavu-udeb.

  [ Adam Conrad ]
  * Move master kernels to 3.9.0-5.
  * Move omap4 kernels to 3.5.0-226.
  * Move powerpc kernels to 3.8.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 20:18:15 -0600

debian-installer (20101020ubuntu241) saucy; urgency=low

  * No-change rebuild against systemd 204-0ubuntu3.



## debian-installer 20101020ubuntu271.1

=== debian/changelog ===
debian-installer (20101020ubuntu271.1) saucy; urgency=medium

  * Move master kernels to 3.11.0-15.
  * Move powerpc kernels to 3.11.0-5.
  * Move omap4 kernels to 3.5.0-237.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jan 2014 17:51:32 +0000

=== debian/control ===
--- 
+++ 
@@ -186,3 +186,12 @@
 Description: Debian installer
  This package currently only contains some documentation for the Debian
  installer. We welcome suggestions about what else to put in it.
+
+Package: debian-installer-udebs
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${udeb:Depends}
+Description: Metapackage depending on debian-installer's built-in udebs
+ This package depends on the set of udebs that the current debian-installer
+ build was built against, for easier version and migration tracking.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=raring
+USE_UDEBS_FROM=saucy
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
@@ -62,6 +62,13 @@
 		-X internals.xml -X partman-doc.sgml
 	dh_compress
 	dh_fixperms
+
+	# Only depend on the packages, not versions, at least for now:
+	echo -n "udeb:Depends=" >> debian/debian-installer-udebs.substvars
+	while read p v a; do \
+		echo -n "$$p, " >> debian/debian-installer-udebs.substvars; \
+	done < build/dest/udeb.list
+	echo "" >> debian/debian-installer-udebs.substvars
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
